apiVersion: apps/v1
kind: Deployment
metadata:
  name: back
  namespace: todo
spec:
  replicas: 1
  selector:
    matchLabels:
      app: backend
  template:
    metadata:
      labels:
        app: backend
    spec:
      containers:
        - name: backend
          image: registry.gitlab.com/steve.frederic.nt/pilot-todo/backend:0.1
          ports:
            - containerPort: 8000
            
          env:
            - name: POSTGRES_USER
              valueFrom:
                secretKeyRef:
                  name: back-creds
                  key: user

            - name: POSTGRES_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: back-creds
                  key: password

            - name: POSTGRES_HOST
              valueFrom:
                configMapKeyRef:
                  name: back-cfg
                  key: host